> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new version

> Create a new version of a recipe



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /expression/recipes/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /expression/recipes/{uuid}:
    post:
      tags:
        - Expression - Recipes
      summary: Create new version
      description: Create a new version of a recipe
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Recipe identifier.
          required: true
          description: Recipe identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  title: Name
                  description: Recipe name.
                description:
                  type: string
                  title: Description
                  description: Recipe description.
                category:
                  type: string
                  enum:
                    - other
                    - classification
                    - cleaning
                    - marketing
                    - sales
                    - event
                    - copywriting
                  title: Category
                  description: Recipe category.
                isPublic:
                  type: boolean
                  title: Is public
                  description: Whether the recipe is public.
                placeholders:
                  type: array
                  items:
                    allOf:
                      - type: object
                        properties:
                          slug:
                            type: string
                          name:
                            type: string
                          description:
                            type: string
                        required:
                          - slug
                          - name
                      - anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - string
                                  - number
                                  - boolean
                            required:
                              - kind
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - enum
                              enum:
                                type: array
                                items:
                                  type: string
                            required:
                              - kind
                              - enum
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - array
                              items:
                                type: array
                                items:
                                  allOf:
                                    - type: object
                                      properties:
                                        slug:
                                          type: string
                                        name:
                                          type: string
                                        description:
                                          type: string
                                      required:
                                        - slug
                                        - name
                                    - anyOf:
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - string
                                                - number
                                                - boolean
                                          required:
                                            - kind
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - enum
                                            enum:
                                              type: array
                                              items:
                                                type: string
                                          required:
                                            - kind
                                            - enum
                                        - type: object
                                          properties:
                                            kind:
                                              type: string
                                              enum:
                                                - array
                                            items:
                                              type: array
                                              items:
                                                allOf:
                                                  - type: object
                                                    properties:
                                                      slug:
                                                        type: string
                                                      name:
                                                        type: string
                                                      description:
                                                        type: string
                                                    required:
                                                      - slug
                                                      - name
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            enum:
                                                              - string
                                                              - number
                                                              - boolean
                                                        required:
                                                          - kind
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            enum:
                                                              - enum
                                                          enum:
                                                            type: array
                                                            items:
                                                              type: string
                                                        required:
                                                          - kind
                                                          - enum
                                          required:
                                            - kind
                                            - items
                            required:
                              - kind
                              - items
                  title: Placeholders
                  description: Recipe placeholders.
                expression:
                  type: string
                  title: Expression
                  description: Recipe expression.
              required:
                - name
                - description
                - category
                - isPublic
                - placeholders
                - expression
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````